Cria um novo template
curl --request POST \
--url https://app.tarefy.com/nodeapi/v2/templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"automations": [
{
"name": "<string>",
"description": "<string>",
"event": "createTask",
"action": "addInOtherColumn",
"column": 123,
"toColumn": 123,
"usersSelects": [
{
"id": 123
}
]
}
]
}
'import requests
url = "https://app.tarefy.com/nodeapi/v2/templates"
payload = { "automations": [
{
"name": "<string>",
"description": "<string>",
"event": "createTask",
"action": "addInOtherColumn",
"column": 123,
"toColumn": 123,
"usersSelects": [{ "id": 123 }]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
automations: [
{
name: '<string>',
description: '<string>',
event: 'createTask',
action: 'addInOtherColumn',
column: 123,
toColumn: 123,
usersSelects: [{id: 123}]
}
]
})
};
fetch('https://app.tarefy.com/nodeapi/v2/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Templates
Cria um novo template
Cria um template de Kanban com colunas, tarefas, épicos e automações legacy opcionais.
POST
/
v2
/
templates
Cria um novo template
Authorizations
JWT token obtained from /v2/auth/login. Send it in the header:
Authorization: Bearer <your_token>
Body
application/json
Automações legacy que serão copiadas para quadros criados a partir do template.
Show child attributes
Show child attributes
Response
200 - application/json
Template criado com sucesso
The response is of type object.
⌘I

